use serde::Deserialize;

template_id!(AvatarBase u32 id);

#[derive(Deserialize, Debug)]
#[serde(rename_all = "PascalCase")]
pub struct AvatarBaseTemplate {
    #[serde(rename = "ID")]
    pub id: AvatarBaseID,
    pub code_name: String,
    pub name: String,
    pub full_name: String,
    pub audio_event_replace_param: String,
    pub audio_bank: String,
    pub hit_types: Box<[u32]>,
    pub element_types: Box<[u32]>,
    pub gender: u32,
    pub camp: u32,
}
